Send Export via Email
POST/export/:id/send_email/
Send the export file to the user via email. If the export is already generated, the email is sent immediately. Otherwise, it will be sent when generation completes.
Request
Path Parameters
- application/json
- application/x-www-form-urlencoded
- multipart/form-data
Body
required
csv- CSV
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
Body
required
csv- CSV
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
Body
required
csv- CSV
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
Responses
- 200
- 202
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
csv- CSV
A unique Base58 value identifying this object.
A unique Base58 value identifying this object.
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
If true, the export file will be sent to the user via email when ready. Defaults to false.
Date and time when the export was requested, in ISO 8601 UTC format.
Date and time when the export file was generated, in ISO 8601 UTC format.
Total number of rows exported.
Error message if export generation failed.
{
"id": "string",
"user": "string",
"format": "csv",
"endpoint": "string",
"send_email": true,
"submitted_at": "2024-07-29T15:51:28.071Z",
"generated_at": "2024-07-29T15:51:28.071Z",
"row_count": 0,
"error": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
csv- CSV
A unique Base58 value identifying this object.
A unique Base58 value identifying this object.
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
If true, the export file will be sent to the user via email when ready. Defaults to false.
Date and time when the export was requested, in ISO 8601 UTC format.
Date and time when the export file was generated, in ISO 8601 UTC format.
Total number of rows exported.
Error message if export generation failed.
{
"id": "string",
"user": "string",
"format": "csv",
"endpoint": "string",
"send_email": true,
"submitted_at": "2024-07-29T15:51:28.071Z",
"generated_at": "2024-07-29T15:51:28.071Z",
"row_count": 0,
"error": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Not found."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Unexpected error while handling your request."
}